Bug 1301285 - Review Request: perl-Mock-Sub - Mock package, object and standard subroutines, with unit testing in mind
Review Request: perl-Mock-Sub - Mock package, object and standard subroutines...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1285518
  Show dependency treegraph
 
Reported: 2016-01-23 10:28 EST by Denis Fateyev
Modified: 2016-02-10 06:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 14:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2016-01-23 10:28:53 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Mock-Sub.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Mock-Sub-1.05-1.fc24.src.rpm
Description: Easy to use and very lightweight module for mocking out sub calls. Very useful for testing areas of your own modules where getting coverage may be difficult due to nothing to test against, and/or to reduce test run time by eliminating the need to call subs that you really don't want or need to test.
Fedora Account System Username: dfateyev

Koji scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=12663284 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=12663282 (EPEL 6)
Comment 1 Upstream Release Monitoring 2016-01-24 11:51:00 EST
dfateyev's scratch build of perl-Mock-Sub-1.06-1.fc23.denf.src.rpm for dist-6E-epel completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12668867
Comment 2 Denis Fateyev 2016-01-24 12:03:06 EST
The author has recently updated module to 1.06 version.

Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Mock-Sub.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Mock-Sub-1.06-1.fc24.src.rpm
Comment 3 Jitka Plesnikova 2016-01-25 07:05:50 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Mock-Sub-1.06-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Carp)
      1 perl(Mock::Sub::Child)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Mock-Sub-1.06-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Mock::Sub) = 1.06
      1 perl(Mock::Sub::Child) = 1.06
      1 perl-Mock-Sub = 1.06-1.fc24

Binary provides are Ok.

$ rpmlint perl-Mock-Sub*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

The package looks good.
Approved
Comment 4 Gwyn Ciesla 2016-01-25 09:13:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Mock-Sub
Comment 5 Fedora Update System 2016-01-25 13:44:04 EST
perl-Mock-Sub-1.06-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8f26692b9
Comment 6 Fedora Update System 2016-01-25 13:44:04 EST
perl-Mock-Sub-1.06-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f3c1ee16bc
Comment 7 Fedora Update System 2016-01-25 13:44:07 EST
perl-Mock-Sub-1.06-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f3c1ee16bc
Comment 8 Fedora Update System 2016-01-25 13:44:11 EST
perl-Mock-Sub-1.06-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b5d6dd8c04
Comment 9 Fedora Update System 2016-01-25 13:44:12 EST
perl-Mock-Sub-1.06-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b2ddf0aab
Comment 10 Fedora Update System 2016-01-25 22:49:06 EST
perl-Mock-Sub-1.06-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1b2ddf0aab
Comment 11 Fedora Update System 2016-01-25 22:53:01 EST
perl-Mock-Sub-1.06-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f3c1ee16bc
Comment 12 Fedora Update System 2016-01-25 23:21:37 EST
perl-Mock-Sub-1.06-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b5d6dd8c04
Comment 13 Fedora Update System 2016-01-25 23:27:17 EST
perl-Mock-Sub-1.06-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8f26692b9
Comment 14 Fedora Update System 2016-02-02 14:19:53 EST
perl-Mock-Sub-1.06-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-02 18:52:37 EST
perl-Mock-Sub-1.06-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-02-10 06:03:16 EST
perl-Mock-Sub-1.06-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-10 06:13:42 EST
perl-Mock-Sub-1.06-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.